Subject: Re: Possible problem with ctags
From: Simon Liddington <[email-masked]>
To: Ross Presser <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 05 Jun 2003 09:03:35 +1200

Ross,

Thanks for this, I will take a look at is as soon as I can ...

Simon

On Thu, 05 Jun 2003 03:06, Ross Presser wrote:
> [posted and mailed to Simon Liddington <[email-masked]>]
>
> Robert Mecklenburg <[email-masked]> wrote in
>
> news:[email-masked]:
> > I'm getting a strange error when I run ctags:
> >
> >   5 osaka:cimsoft$ /bin/ctags -e --recurse>
> >  ctags: cannot open temporary file : No such file or directo> ry
> >  [Exi> t 1]
> >
> > If I run this under strace I get:
>
> [snip]
>
> > My conclusion: Maybe the most recent release of ctags has a
> > compiled-in default directory of .../liddins/... and that this
> > directory is used if the TMPDIR environment variable is otherwise
> > undefined.
> >
> > Comments?
>
> I can confirm this discovery.  In fact, that is why I just started up
> news, to report the problem.  It is present with this version:
>
> Exuberant Ctags 5.5, Copyright (C) 1996-2003 Darren Hiebert
>   Compiled: Apr 14 2003, 10:16:41
>   Addresses: <[email-masked]>,
>       http://ctags.sourceforge.net
>   Optional compiled features: +wildcards, +regex, +internal-sort
>
> (By the way, although this version announces itself as 5.5, it is really
> 5.5.3 according to /setup.exe.)
>
> The full compiled-in directory it is trying to use, as found by both
> FileMon and strings, is:
>
> /mnt/c/DOCUME~1/liddins/LOCALS~1/Temp
>
> The obvious workaround is "export TMPDIR=$TMP"

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/